/**
 * Util методы по работе с JS/TS объектами
 */
export declare class ObjectUtils {
    /**
     * Равны ли два JS/TS объекта
     * (оптимистичный подход)
     * @param obj1 первый объект для сравнения
     * @param obj2 второй объект для сравнения
     * @returns {boolean} равны ли объекты
     */
    static deepEquals(obj1: any, obj2: any): boolean;
    /**
     * Deep copy JS/TS объекта
     * @param obj исходный объект
     * @param withFunction
     * @returns {any} полная копия исходного объекта
     */
    static deepCopy<T>(obj: T, withFunction?: boolean): T;
    private static objectEquals(x, y);
    /**
     * Заменить все поля в одном объекте - полями в другом с deepCopy. Аналогия $.extend
     * Используется там, где невозмоно использовать immutable структуры данных и необходимо сохранить ссылку у объекта
     * @param from откуда копировать
     * @param to куда копировать
     */
    static replaceObject(from: any, to: any): void;
    static getRandomElementInArray<T>(arr: T[]): T;
    static isArray(value: any): boolean;
    static arraysEqual(arr1: Array<any>, arr2: Array<any>): boolean;
}
